Vous ne pouvez pas sélectionner plus de 25 sujets Les noms de sujets doivent commencer par une lettre ou un nombre, peuvent contenir des tirets ('-') et peuvent comporter jusqu'à 35 caractères.

il y a 5 ans
il y a 4 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 4 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
il y a 5 ans
123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370
  1. #!/bin/sh
  2. command -V gpg >/dev/null 2>&1 && GPG="gpg" || GPG="gpg2"
  3. [ -z ${PASSWORD_STORE_DIR+x} ] && PASSWORD_STORE_DIR="$HOME/.password-store"
  4. [ -r "$PASSWORD_STORE_DIR/.gpg-id" ] &&
  5. "$GPG" --list-secret-keys $(cat "$PASSWORD_STORE_DIR/.gpg-id") >/dev/null 2>&1 || {
  6. printf "\`pass\` must be installed and initialized to encrypt passwords.\\nBe sure it is installed and run \`pass init <yourgpgemail>\`.\\nIf you don't have a GPG public private key pair, run \`%s --full-gen-key\` first.\\n" "$GPG"
  7. exit
  8. }
  9. ! command -v mbsync >/dev/null && printf "\`mbsync (isync package)\` must be installed to run mutt-wizard.\\n" && exit
  10. prefix="/usr/local"
  11. muttdir="$HOME/.config/mutt" # Main mutt config location
  12. accdir="$muttdir/accounts" # Directory for account settings
  13. maildir="$HOME/.local/share/mail" # Location of mail storage
  14. namere="^[a-z_][a-z0-9_-]*$" # Regex to ensure viable username
  15. emailre=".\+@.\+\\..\+" # Regex to confirm valid email address
  16. muttshare="$prefix/share/mutt-wizard"
  17. [ -d "$HOME/.config/isync" ] && mkdir -p $HOME/.config/isync
  18. mbsyncrc="$HOME/.config/isync/mbsyncrc"
  19. mwconfig="$muttshare/mutt-wizard.muttrc"
  20. cachedir="$HOME/.cache/mutt-wizard"
  21. muttrc="$muttdir/muttrc"
  22. msmtprc="$HOME/.config/msmtp/config"
  23. ssltype="IMAPS" # This is later changed to `None` later in the script if using Protonmail
  24. for x in "/etc/ssl/certs/ca-certificates.crt" "/etc/pki/tls/certs/ca-bundle.crt" "/etc/ssl/ca-bundle.pem" "/etc/pki/tls/cacert.pem" "/etc/pki/ca-trust/extracted/pem/tls-ca-bundle.pem" "/etc/ssl/cert.pem" "/usr/local/share/ca-certificates/"
  25. do
  26. [ -f "$x" ] && sslcert="$x" && break
  27. done || { echo "CA Certificate not found. Please install one or link it to /etc/ssl/certs/ca-certificates.crt" && exit 1 ;}
  28. getaccounts() { accounts="$(find "$accdir" -type f | grep -o "[0-9]-.*.muttrc" | sed "s/-/: /;s/\..*//" | sort -n)" ;}
  29. list() { getaccounts && [ -n "$accounts" ] && echo "$accounts" ;}
  30. getprofiles() { \
  31. unset msmtp_header msmtp_profile mutt_profile mbsync_profile
  32. printf "Creating profiles for \`%s\`..." "$title"
  33. msmtp_header="defaults
  34. auth on
  35. tls on
  36. tls_trust_file $sslcert
  37. logfile ~/.config/msmtp/msmtp.log
  38. "
  39. msmtp_profile="account $title
  40. host $smtp
  41. port $sport
  42. from $fulladdr
  43. user $login
  44. passwordeval \"pass mutt-wizard-$title\"
  45. $starttlsoff
  46. "
  47. mbsync_profile="IMAPStore $title-remote
  48. Host $imap
  49. Port $iport
  50. User $login
  51. PassCmd \"pass mutt-wizard-$title\"
  52. AuthMechs LOGIN
  53. SSLType $ssltype
  54. CertificateFile $sslcert
  55. MaildirStore $title-local
  56. Subfolders Verbatim
  57. Path ~/.local/share/mail/$title/
  58. Inbox ~/.local/share/mail/$title/INBOX
  59. Flatten .
  60. Channel $title
  61. Expunge Both
  62. Master :$title-remote:
  63. Slave :$title-local:
  64. Patterns * !\"[Gmail]/All Mail\"
  65. Create Both
  66. SyncState *
  67. MaxMessages $maxmes
  68. ExpireUnread no
  69. # End profile
  70. "
  71. if [ "$accounttype" = "offline" ]; then
  72. mutt_profile="# vim: filetype=neomuttrc
  73. # muttrc file for account $title
  74. set realname = \"$realname\"
  75. set from = \"$fulladdr\"
  76. set sendmail = \"msmtp -a $title\"
  77. alias me $realname <$fulladdr>
  78. set folder = \"$maildir/$title\"
  79. set header_cache = $cachedir/$title/headers
  80. set message_cachedir = $cachedir/$title/bodies
  81. set mbox_type = Maildir
  82. set crypt_autosign = yes
  83. set crypt_opportunistic_encrypt = yes
  84. set pgp_self_encrypt = yes
  85. set pgp_default_key = $keyid
  86. bind index,pager gg noop
  87. bind index,pager g noop
  88. bind index,pager M noop
  89. bind index,pager C noop
  90. bind index gg first-entry
  91. macro index o \"<shell-escape>mailsync -V $title<enter>\" \"run mbsync to sync $title\"
  92. unmailboxes *
  93. "
  94. else
  95. mutt_profile="# vim: filetype=neomuttrc
  96. # muttrc file for account $title
  97. set realname = \"$realname\"
  98. set from = \"$fulladdr\"
  99. set sendmail = \"msmtp -a $title\"
  100. alias me $realname <$fulladdr>
  101. set folder = \"imaps://$login@$imap:$iport\"
  102. set imap_user = \"$login\"
  103. set header_cache = $cachedir/$title/headers
  104. set message_cachedir = $cachedir/$title/bodies
  105. set imap_pass = \"\`pass mutt-wizard-$title\`\"
  106. set crypt_autosign = yes
  107. set crypt_opportunistic_encrypt = yes
  108. set pgp_self_encrypt = yes
  109. set pgp_default_key = $keyid
  110. set mbox_type = Maildir
  111. set ssl_starttls = yes
  112. set ssl_force_tls = yes
  113. bind index,pager gg noop
  114. bind index,pager g noop
  115. bind index,pager M noop
  116. bind index,pager C noop
  117. bind index gg first-entry
  118. unmailboxes *
  119. "
  120. fi
  121. printf "DONE.\\n"
  122. }
  123. askinfo() { \
  124. printf "Insert the \033[31memail address\033[0m that you want to autoconfigure for mutt/mbsync\\n\tEmail: \033[36m"
  125. read -r fulladdr
  126. keyid=$("$GPG" --list-keys --with-colons "$fulladdr" | awk -F: '/^pub:/ { print $5 }')
  127. printf "\033[0m"
  128. while ! echo "$fulladdr" | grep "$emailre" >/dev/null; do
  129. printf "That is not a valid \033[31memail address\033[0m, please retype the desired email.\\n\\nEmail: \033[36m\t"
  130. read -r fulladdr
  131. printf "\033[0m"
  132. done
  133. domain="$(echo "$fulladdr" | sed "s/.*@//")"
  134. search_query=$domain
  135. case "$domain" in
  136. protonmail.com|protonmail.ch|pm.me)
  137. search_query='protonmail.com' ;;
  138. *)
  139. while : ; do
  140. printf "\nIs your email hosted with Protonmail? [yes/no] "
  141. read -r is_protonmail
  142. case $is_protonmail in
  143. [Yy][Ee][Ss]) search_query='protonmail.com' && break;;
  144. [Nn][Oo]) break;;
  145. *) printf 'Please answer Yes or No'
  146. esac; done;
  147. esac
  148. printf "\\nSearching for \033[32m%s\033[0m in \033[34m\`domains.csv\`\033[0m..." "$domain"
  149. serverinfo="$(grep "^$search_query" "$muttshare/domains.csv" 2>/dev/null)"
  150. if [ -z "$serverinfo" ]; then
  151. printf "Your email domain is not in mutt-wizard's database yet.\\nmutt-wizard will still autoconfigure everything, but you will have to manually type in your service's IMAP and SMTP server information.\\nYou can usually quickly find this by internet searching for it.\\n"
  152. printf "Insert the IMAP server for your email provider (excluding the port number)\\n\033[36m\t"
  153. read -r imap
  154. printf "\033[0mWhat is your server's IMAP port number? (Usually something like 993)\\n\033[36m\t"
  155. read -r iport
  156. printf "\033[0mInsert the SMTP server for your email provider (excluding the port number)\\n\033[36m\t"
  157. read -r smtp
  158. printf "\033[0mWhat is your server's SMTP port number? (Usually 587 or 465)\\n\033[36m\t"
  159. read -r sport
  160. printf "\033[0m\\nGreat! If you want to be helpful, copy the line below and you can add it to the \`domains.csv\` file on Github.\\nThis will make things easier for others who use your email provider.\\n\\n%s,%s,%s,%s,%s\\n\\nAlthough be sure to test to see if these settings work first! ;-)\\n" "$domain" "$imap" "$iport" "$smtp" "$sport"
  161. else
  162. IFS=, read -r service imap iport smtp sport <<EOF
  163. $serverinfo
  164. EOF
  165. printf "\\n\033[3;33mCongrats!\033[0m Server info has automatically been found, so you won't have to look anything up!\\n\t\033[1mIMAP server\033[0m: %s\\n\t\033[1mIMAP port\033[0m: %s\\n\t\033[1mSMTP server\033[0m: %s\\n\t\033[1mSMTP port\033[0m: %s\\nThis data will be used by the wizard.\\n" "$imap" "$iport" "$smtp" "$sport"
  166. case "$service" in
  167. gmail.com) printf "\033[31mREMEMBER: Gmail users must enable \"less secure\" (third-party) applications first for the sync to work:\\nhttps://support.google.com/accounts/answer/6010255\\n\033[0m" ;;
  168. protonmail.ch|protonmail.com|pm.me) printf "\033[31mREMEMBER: Protonmail users must install and configure Protonmail Bridge first for the sync to work:\\nhttps://protonmail.com/bridge/\\n\033[0m" && ssltype="None" ;;
  169. esac
  170. [ "$sport" = 465 ] && starttlsoff="tls_starttls off"
  171. fi
  172. printf "Enter the \033[35mfull name\033[0m you want to be identified by on this account.\\n\tReal name: "
  173. read -r realname
  174. printf "Enter a short, \033[36mone-word identifier\033[0m for this email account that will distinguish them from any other accounts you add.\\n\tAccount name: "
  175. read -r title
  176. while ! echo "$title" | grep "$namere" >/dev/null || ls "$accdir"/[0-9]"-$title.muttrc" >/dev/null 2>&1; do
  177. printf "\033[31mTry again\033[0m. Pick a nickname that is one word only including lowercase letters and _ or - and that you have \033[1mnot\033[0m used before.\\n\tAccount name: \033[36m\t"
  178. read -r title
  179. printf "\033[0m"
  180. done
  181. printf "If your account has a special username different from your address, insert it now. Otherwise leave this prompt totally blank.\\n\033[34mMost accounts will not have a separate login, so you should probably leave this blank.\033[0m\\n\tLogin(?): \033[36m"
  182. read -r login
  183. printf "\033[0m"
  184. [ -z "$login" ] && login="$fulladdr"
  185. [ "$accounttype" = "offline" ] && printf "If you want to limit the number of messages kept offline to a number, enter that number below. If you do not want to limit your mail and would like \`mbsync\` to sync all mail, press enter without typing a number.\\n\t" && read -r maxmes
  186. echo "$maxmes" | grep "[1-9]" >/dev/null || maxmes="0"
  187. getpass
  188. getprofiles
  189. mkdir -p "$muttdir" "$accdir" "$cachedir/$title/bodies" "$HOME/.config/msmtp"
  190. getaccounts
  191. for x in $(seq 1 9); do echo "$accounts" | grep "$x" >/dev/null 2>&1 || { export idnum="$x"; break ;}; done
  192. [ ! -f "$msmtprc" ] && echo "$msmtp_header" > "$msmtprc"
  193. echo "$msmtp_profile" >> "$msmtprc"
  194. command -V apt-get >/dev/null 2>&1 && ln -s "$msmtprc" "$HOME/.msmtprc" 2>/dev/null
  195. case "$service" in
  196. protonmail.ch|protonmail.com|pm.me) protonfinger || return 1 ;;
  197. esac
  198. echo "$mutt_profile" > "$accdir/$idnum-$title.muttrc"
  199. echo "$mbsync_profile" >> "$mbsyncrc"
  200. notmuchauto
  201. [ ! -f "$muttrc" ] && echo "# vim: filetype=neomuttrc" > "$muttrc" && echo "muttrc created."
  202. ! grep "^source.*mutt-wizard.muttrc" "$muttrc" >/dev/null && echo "source $mwconfig # mw-autogenerated" >> "$muttrc"
  203. ! grep "^source.*.muttrc" "$muttrc" | grep -v "$mwconfig" >/dev/null && echo "source $accdir/$idnum-$title.muttrc # mw-autogenerated" >> "$muttrc"
  204. echo "macro index,pager i$idnum '<sync-mailbox><enter-command>source $accdir/$idnum-$title.muttrc<enter><change-folder>!<enter>;<check-stats>' \"switch to $fulladdr\" # mw-autogenerated" >> "$muttrc"
  205. }
  206. protonfinger() { printf "Getting Protonmail bridge fingerprint...\\n"
  207. fingerprint="$(msmtp --serverinfo --host=127.0.0.1 --port=1025 --tls --tls-certcheck=off | grep SHA256: | sed 's/^.*: //')"
  208. sed -ibu "s/account $title/&\ntls_trust_file\ntls_fingerprint $fingerprint/" "$msmtprc" ; rm -f "$msmtprc"bu
  209. }
  210. getpass() { while : ; do pass rm -f "mutt-wizard-$title" >/dev/null 2>&1
  211. pass insert "mutt-wizard-$title" && break; done ;}
  212. formatShortcut() { \
  213. while read -r data; do { echo "macro index,pager g$1 \"<change-folder>$data<enter>\" \"go to $2\" # mw-autogenerated"
  214. echo "macro index,pager M$1 \";<save-message>$data<enter>\" \"move mail to $2\" # mw-autogenerated"
  215. echo "macro index,pager C$1 \";<copy-message>$data<enter>\" \"copy mail to $2\" # mw-autogenerated"; } >> "$accdir/$idnum-$title.muttrc"
  216. done ;}
  217. tryconnect() { mkdir -p "$maildir/$title"
  218. if mailboxes="$(mbsync -l "$title" | sed 's/\//./')" >/dev/null 2>&1 && [ -n "$mailboxes" ]; then
  219. [ "$accounttype" = "online" ] && sed -ibu "/IMAPStore $title-remote$/,/# End profile/d" "$mbsyncrc" ; rm -f "$mbsyncrc"bu
  220. printf "\033[32mMailboxes detected.\033[0m\\n"
  221. echo "$mailboxes" | xargs -I {} mkdir -p "$maildir/$title/{}"
  222. return 0
  223. else
  224. printf "\033[31m\033[31mLog-on not successful.\033[0m\\nIt seems that either you inputted the wrong password or server settings, or there are other requirements for your account out of the control of mutt-wizard.\\n"
  225. return 1
  226. fi ;}
  227. finalize() { \
  228. boxes="$(find "$maildir/$title/" -mindepth 1 -type d | sed "s/\ /\\\ /g;s/^.*\//=/;/=\(cur\|new\|tmp\)$/d")"
  229. [ -z "$boxes" ] && printf "\033[31mNo local mailboxes have been detected for %s.\033[0m\\nThis means that mbsync has not been successfully run.\\nRun mbsync, and if it has an error, be sure to check your password and server settings manually if needbe.\\n" "$title" && return
  230. printf "Setting default mailboxes for your Inbox, Sent, Drafts and Trash in mutt...\\n"
  231. spoolfile=$(echo "$boxes" | grep -i -m 1 inbox | sed 's/=/+/g')
  232. record=$(echo "$boxes" | grep -i -m 1 sent | sed 's/=/+/g')
  233. postponed=$(echo "$boxes" | grep -i -m 1 draft | sed 's/=/+/g')
  234. trash=$(echo "$boxes" | grep -i -m 1 trash | sed 's/=/+/g')
  235. sed -ibu "/^mailboxes\|^set record\|^set postponed\|^set trash\|^set spoolfile/d" "$accdir/$idnum-$title.muttrc" ; rm -f "$accdir/$idnum-$title.muttrcbu"
  236. { echo "set spoolfile = \"$spoolfile\""; echo "set record = \"$record\""; echo "set postponed = \"$postponed\""; echo "set trash = \"$trash\""; } >> "$accdir/$idnum-$title.muttrc"
  237. echo "mailboxes $(echo "$boxes" | sed -e "s/^\|$/\"/g" | tr "\n" " ")" >> "$accdir/$idnum-$title.muttrc"
  238. printf "Setting up your keyboard shortcuts for jumping between mailboxes...\\n"
  239. sed -ibu "/# mw-autogenerated/d" "$accdir/$idnum-$title.muttrc" ; rm -f "$accdir/$idnum-$title.muttrcbu"
  240. echo "$boxes" | grep -i inbox | head -n 1 | formatShortcut i inbox
  241. echo "$boxes" | grep -i sent | head -n 1 | formatShortcut s sent
  242. echo "$boxes" | grep -i draft | head -n 1 | formatShortcut d drafts
  243. echo "$boxes" | grep -i trash | head -n 1 | formatShortcut t trash
  244. echo "$boxes" | grep -i spam | head -n 1 | formatShortcut S spam
  245. echo "$boxes" | grep -i junk | head -n 1 | formatShortcut j junk
  246. echo "$boxes" | grep -i archive | head -n 1 | formatShortcut a archive
  247. [ "$accounttype" = "offline" ] && printf "All done.\\n\033[33mYou should now be able to run \`\033[32mmbsync %s\033[33m\` to begin to download your mail.\033[0m\\n" "$title"
  248. command -V urlview >/dev/null 2>&1 && [ ! -f "$HOME/.urlview" ] && echo "COMMAND \$BROWSER" > "$HOME/.urlview"
  249. return 0
  250. }
  251. confirm() { printf "Do you want to %s? [yes/N]\\n\t" "$@" && read -r input && ! echo "$input" | grep -i "^yes$" >/dev/null && printf "That doesn't seem like a yes to me.\\n\\n" && return 1
  252. printf "Are you really, really sure you want to %s?\\n\t" "$@" && read -r input && ! echo "$input" | grep -i "^yes$" >/dev/null && printf "That doesn't seem like a yes to me.\\n\\n" && return 1
  253. return 0 ;}
  254. pick() { printf "Select an accounts to %s:\\n" "$1"
  255. list
  256. read -r input
  257. [ -z "$input" ] && return 1
  258. title="$(echo "$accounts" | grep "$input" | awk '{print $2}')"
  259. [ -z "$title" ] && printf "Invalid response." && return 1
  260. return 0 ;}
  261. delete() { sed -ibu "/IMAPStore $title-remote$/,/# End profile/d" "$mbsyncrc" ; rm -rf "$mbsyncrc"bu
  262. rm -rf "${cachedir:?}/${title:?}" "$accdir/"[1-9]"-$title.muttrc"
  263. sed -ibu "/[0-9]-$title.muttrc/d" "$muttrc" ; rm -f "$muttrc"bu
  264. sed -ibu "/account $title/,/^\(\s*$\|account\)/d" "$msmtprc"; rm -f "$msmtprc"bu
  265. }
  266. choosecron() { ! pgrep cron >/dev/null && echo "No cron manager running. Install/enable one and then select this option again." && return 1
  267. if crontab -l | grep mailsync >/dev/null; then
  268. echo "Active mail sync cronjob detected. Do you want to remove it?"
  269. printf "\033[36m\t"
  270. read -r rmyn
  271. printf "\033[0m"
  272. echo "$rmyn" | grep -i "^y\(es\)*$" >/dev/null && crontab -l | sed '/mailsync/d' | crontab - >/dev/null && echo "Mail sync turned off."
  273. else
  274. echo "How many minutes between each mail sync?"
  275. printf "\033[36m\t"
  276. read -r minnum
  277. printf "\033[0m"
  278. while ! echo "$minnum" | grep "^[0-9]\+$" >/dev/null; do
  279. printf "That doesn't look like a number. How many minutes between each mail sync?\\n\033[36m\t"
  280. read -r minnum
  281. printf "\033[0m"
  282. done
  283. (crontab -l; echo "*/$minnum * * * * $(type mailsync | cut -d' ' -f3) >/dev/null 2>&1") | crontab - >/dev/null &&
  284. echo "Cronjob added. Mail will sync every $minnum minutes. Be sure you have your cron manager running."
  285. fi ;}
  286. asktype() { while : ; do
  287. printf "Do you want to keep your mail for this account offline with mbsync? [yes/no]\\n\t"
  288. read -r offnot
  289. case "$offnot" in
  290. [Yy][Ee][Ss]) accounttype="offline" && break ;;
  291. [Nn][Oo]) accounttype="online" && break ;;
  292. *) echo "Write out either yes or no completely. Try again or press ctrl-c to quit." ;;
  293. esac; done ;}
  294. purge() { confirm "delete all account data" || exit
  295. rm -rf "$mbsyncrc" "$accdir" "$HOME/.config/msmtp" "$cachedir"
  296. crontab -l | sed '/mailsync/d' | crontab - >/dev/null
  297. echo "All configs and account settings have been purged."
  298. sed -ibu "/\# mw-autogenerated/d" "$muttrc" ; rm -f "$muttrc"bu
  299. }
  300. notmuchauto() { \
  301. [ -z "$NOTMUCH_CONFIG" ] && NOTMUCH_CONFIG="$HOME/.notmuch-config"
  302. [ -f "$NOTMUCH_CONFIG" ] && return 0
  303. nmbasic="[database]
  304. path=$maildir
  305. [user]
  306. name=$realname
  307. primary_email=$fulladdr
  308. [new]
  309. tags=unread;inbox;
  310. ignore=.mbsyncstate;.uidvalidity
  311. [search]
  312. exclude_tags=deleted;spam;
  313. [maildir]
  314. synchronize_flags=true
  315. [crypto]
  316. gpg_path=$GPG"
  317. echo "$nmbasic" > "$NOTMUCH_CONFIG" ;}
  318. trap 'echo -e "\033[0m\n"; exit' INT ABRT
  319. case "$1" in
  320. ls) list ;;
  321. add) asktype && askinfo && tryconnect && finalize || delete ;;
  322. pass) pick "change the password of" && getpass ;;
  323. delete) pick delete && confirm "delete the \`$title\` profile" && delete ;;
  324. purge) purge ;;
  325. cron) choosecron ;;
  326. *) cat << EOF
  327. mw: mutt-wizard, auto-configure email accounts for mutt
  328. including downloadable mail with \`isync\`.
  329. Allowed options:
  330. add Add and autoconfigure an email address (9 max.)
  331. ls List configured accounts
  332. delete Pick an account to delete
  333. purge Delete all accounts and settings
  334. cron Enable or disable an autosync via cronjob
  335. all else Print this message
  336. NOTE: Once at least one account is added, you can run
  337. \`mbsync -a\` to begin downloading mail.
  338. EOF
  339. esac